Bug 734160 - Review Request: perl-MooseX-Types-LoadableClass - ClassName type constraint with coercion to load the class
Summary: Review Request: perl-MooseX-Types-LoadableClass - ClassName type constraint w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Ty...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 15:21 UTC by Iain Arnell
Modified: 2011-09-09 16:57 UTC (History)
3 users (show)

Fixed In Version: perl-MooseX-Types-LoadableClass-0.006-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 06:56:47 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Mario Blättermann 2011-08-29 17:54:22 UTC
$ rpmlint -i -v *
perl-MooseX-Types-LoadableClass.noarch: I: checking
perl-MooseX-Types-LoadableClass.noarch: I: checking-url http://search.cpan.org/dist/MooseX-Types-LoadableClass/ (timeout 10 seconds)
perl-MooseX-Types-LoadableClass.src: I: checking
perl-MooseX-Types-LoadableClass.src: I: checking-url http://search.cpan.org/dist/MooseX-Types-LoadableClass/ (timeout 10 seconds)
perl-MooseX-Types-LoadableClass.src: I: checking-url http://www.cpan.org/authors/id/B/BO/BOBTFISH/MooseX-Types-LoadableClass-0.006.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

No issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    f5cf26d8f6bae56195ff5dec848351e8  MooseX-Types-LoadableClass-0.006.tar.gz
    f5cf26d8f6bae56195ff5dec848351e8  MooseX-Types-LoadableClass-0.006.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------

Comment 2 Iain Arnell 2011-08-30 03:09:27 UTC
New Package SCM Request
=======================
Package Name: perl-MooseX-Types-LoadableClass
Short Description: ClassName type constraint with coercion to load the class
Owners: iarnell
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-08-30 11:54:25 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-08-30 15:57:03 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-MooseX-Types-LoadableClass-0.006-1.fc16

Comment 5 Fedora Update System 2011-08-30 15:57:10 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-MooseX-Types-LoadableClass-0.006-1.fc15

Comment 6 Fedora Update System 2011-08-30 15:57:19 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-MooseX-Types-LoadableClass-0.006-1.fc14

Comment 7 Fedora Update System 2011-08-30 20:36:52 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 8 Fedora Update System 2011-09-08 06:56:42 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-09-08 07:01:49 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Fedora Update System 2011-09-09 16:57:33 UTC
perl-MooseX-Types-LoadableClass-0.006-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.